# Enum VolumeUtil.VolumeOperationType

java.lang.Object
java.lang.Enum<VolumeUtil.VolumeOperationType>
com.databricks.jdbc.common.util.VolumeUtil.VolumeOperationType

All Implemented Interfaces:
  `Serializable`, `Comparable<VolumeUtil.VolumeOperationType>`, `java.lang.constant.Constable`

Enclosing class:
  `VolumeUtil`

public static enum VolumeUtil.VolumeOperationType extends Enum<VolumeUtil.VolumeOperationType>
Enum to represent the Volume Operation Type

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GET`
`OTHER`
`PUT`
`REMOVE`

## Method Summary

Modifier and Type
Method
Description
`static String`
`constructListPath(String catalog, String schema, String volume, String path)`
`static VolumeUtil.VolumeOperationType`
`fromString(String text)`
`static VolumeUtil.VolumeOperationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VolumeUtil.VolumeOperationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GET

public static final VolumeUtil.VolumeOperationType GET

### PUT

public static final VolumeUtil.VolumeOperationType PUT

### REMOVE

public static final VolumeUtil.VolumeOperationType REMOVE

### OTHER

public static final VolumeUtil.VolumeOperationType OTHER

## Method Details

### values

public static VolumeUtil.VolumeOperationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static VolumeUtil.VolumeOperationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromString

public static VolumeUtil.VolumeOperationType fromString(String text)

### constructListPath

public static String constructListPath(String catalog, String schema, String volume, String path)